org.eclipse.ease.debugging.model

## Class EaseWatchExpressionResult

- java.lang.Object
- - org.eclipse.ease.debugging.model.EaseWatchExpressionResult

All Implemented Interfaces:
  IWatchExpressionResult

    public class EaseWatchExpressionResult
    extends java.lang.Object
    implements IWatchExpressionResult

### Constructor Summary

Constructors
Constructor and Description
`EaseWatchExpressionResult(java.lang.String expression, java.lang.Object result, java.lang.Throwable exception, EaseDebugElement debugElement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getErrorMessages()`
`DebugException` `getException()`
`java.lang.String` `getExpressionText()`
`IValue` `getValue()`
`boolean` `hasErrors()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EaseWatchExpressionResult

    public EaseWatchExpressionResult(java.lang.String expression,
                                     java.lang.Object result,
                                     java.lang.Throwable exception,
                                     EaseDebugElement debugElement)

### Method Detail

#### getValue

    public IValue getValue()

Specified by:
  `getValue` in interface `IWatchExpressionResult`

#### hasErrors

    public boolean hasErrors()

Specified by:
  `hasErrors` in interface `IWatchExpressionResult`

#### getErrorMessages

    public java.lang.String[] getErrorMessages()

Specified by:
  `getErrorMessages` in interface `IWatchExpressionResult`

#### getExpressionText

    public java.lang.String getExpressionText()

Specified by:
  `getExpressionText` in interface `IWatchExpressionResult`

#### getException

    public DebugException getException()

Specified by:
  `getException` in interface `IWatchExpressionResult`